Subject: bug#61986: qemu-binfmt-service-type should protect against adding platforms for target system

From: Richard Sent <[email-masked]>
Date: Thu, 23 May 2024 14:21:06 -0400

Hi Guix!

I can confirm that this issue is still around and still causing
headaches! ;)

It's definitely a problem on the aarch64 architecture. It's probably
safe to say it's a problem on every platform.

Given how cryptic this error is and how easily it can sneak up in more
complicated system configurations ([1] and [2]), we should capture this
mistake sometime during the build process. Even if putting the target
system as a QEMU emulation platform doesn't make sense, a broken system
with no helpful diagnostics isn't a proportional consequence.

[1]: https://lists.gnu.org/archive/html/help-guix/2023-03/msg00121.html
[2]: https://lists.gnu.org/archive/html/help-guix/2024-05/msg00160.html

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.